Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 3112 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoStyl zobrazení automaticky

 Odpovědět Odpovědět archiv
Autor
Zíka Zobrazit panel
Diskutér
Diskutér

Přihlášen: 25.čer.2014
Lokalita: ČR (Pha)
Používám:
Inventor,Autocad
Stav: Offline
Bodů: 25
Přímý odkaz na tuto zprávu Téma: Styl zobrazení automaticky
    Zasláno: 29.led.2018 v 14:46
Jde v Autocadu nastavit aby se pohledy půdorysu a nárysu zobrazovaly drátově a když přejdu do 3D pohledu tak aby se styl zobrazení automaticky přepnul na stínovaný?
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20151
Přímý odkaz na tuto zprávu Zasláno: 29.led.2018 v 14:50
Šlo by si připravit potřebné pojmenované pohledy a ty přepínat. Pokud by se to ale mělo přepínat samo, kdykoliv se pohled nastaví např. přes Viewcube nebo Orbit, musely by se nasadit reaktory. Nevím ale jestli zrovna přepnutí vizuálního stylu půjde provést dostatečně transparentně.
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20151
Přímý odkaz na tuto zprávu Zasláno: 29.led.2018 v 15:04
Zkuste následující LISP reaktor, ale není to asi úplně spolehlivé (uložte jako LSP a načtěte _APPLOAD):
 
(vl-load-com)
(if vs:autor (vlr-remove vs:autor))
(setq vs:autor (VLR-SysVar-Reactor nil '((:vlr-sysvarchanged . sysvarchg))) )
(setq _vsautoinproc nil)
(defun _isortho (badval / )
 (and ; orto pohledy:
 (or (equal (car badval) 0.0 0.000001)(equal (cadr badval) 0.0 0.000001))
 (or (equal (car badval) 0.0 0.000001)(equal (caddr badval) 0.0 0.000001))
 (or (equal (cadr badval) 0.0 0.000001)(equal (caddr badval) 0.0 0.000001))
 )
)
;-----------
 (defun sysvarchg (r data / varname badval adoc VpEnt vport vsname)
 
  (if (not _vsautoinproc)(progn ; in proc?
 (setq _vsautoinproc T)
 (setq varname (car data))
 (setq badval (getvar varname))
(PRINC "\n")(princ varname)(princ "=")(princ badval)
 (if (= varname "VIEWDIR")(progn
;(PRINT "*SW*")
  (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
;(if (> (atoi (substr (getvar "ACADVER") 1 2)) 16) ; JENOM!
  (if (= (getvar "TILEMODE") 1)
  (setq VpEnt (vlax-vla-object->ename (setq vport (vla-get-activeviewport adoc))))
  (setq VpEnt (vlax-vla-object->ename (setq vport (vla-get-activepviewport adoc))))
  )
  (setq vsname (cdr (assoc 2 (entget (cdr (assoc 348 (entget VpEnt)))))))
 
 ;(PRINT vsname)
  (if (< (getvar "CMDACTIVE") 2)(progn ; nop nebo bezny prikaz
  (if (and (_isortho badval)
     (/= vsname "Wireframe")
   )
   (vla-sendcommand adoc "_VSCURRENT _2d ") ; go ORTO
   ;(vla-put-VisualStyle vport 1)
  )
  (if (and (not (_isortho badval))
     ;(= vsname "Wireframe")
   )
   (vla-sendcommand adoc "_VSCURRENT _rea ") ; go REALISTIC
  )
  )) ; jde poslat sendocmmand
 )) ; jde o VIEWDIR
 (setq _vsautoinproc nil)
  ))
 )
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 5479:Nedokumentovaná funkce pro regeneraci v 3D režimu.
Tip 9799:Jak nastavit výchozí styl zobrazení při tvorbě Ortho pohledů v Plant 3D?
Tip 8191:Chybějící fonty ve výkresu v AutoCAD 360.
Tip 4340:Točité schodiště s podestou.
Tip 7568:Jak nastavit výchozí styl zobrazení pro všechny modely?
Tip 8818:Nefunguje mi otáčení DWG modelu pomocí 3D myši SpaceMouse.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,219 sekund.